#include <time.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>

//Random generator function
int randVar(){
  srand(time(NULL));
  int r = rand()%3;
  return r;
}

char sten='0';
char sax='1';
char pase='2';

char ch; //inialize the getchar() variable
char randMove[4]; //array to store the string of the computers move

int main(){
  int rand; //A variable to store the randomly generated computer move
  
  printf("Välkommen! Skriv 'x' för att avsluta\n");
  printf("Sten(0), sax(1) eller påse(2)?: ");
  
  rand = randVar();
  if (rand == sten){
    strcpy(randMove[], "STEN");
  }
  /*
  else if (rand == sax){
    randMove[]= "SAX ";
  }
  else (rand == pase){
      randMove[]="PÅSE";
    }
  */
  
  while(ch = getchar()){
    if (ch == sten){
      printf("Du valde STEN\n");
	    
      printf("Datorn valde %s\n", randMove); //ersätt här med strängar
    }

    
